<?
include "string.inc.php";

function GetPublicEventCalendar($periode) {
  global $user;
	$Month=getMonth($periode);
	$Year= getYear($periode);
	$PublicCat = 'SELECT Catid,date_begin,date_end,name FROM '.FOLDER_CALENDAR_TABLE.' as cal,'.CATEGORIES_TABLE.' as cat  WHERE  cal.Catid=cat.id and cat.status = \'public\' and date_begin>= \''.$Year.'-'.$Month.'-01\' and date_begin <= \''.$Year.'-'.$Month.'-31\' order by date_begin ASC ;';	
	$result = pwg_query($PublicCat);	
	return $result;
}
function GetPrivateEventCalendar($periode) {
  global $user;
	$Month=getMonth($periode);
	$Year= getYear($periode);
	$PrivateCat = 'SELECT Catid,date_begin,date_end,name FROM '.FOLDER_CALENDAR_TABLE.' as cal,'.USER_ACCESS_TABLE.' as user,'.CATEGORIES_TABLE.' as cat  WHERE cat.id=cal.Catid and  cal.Catid=user.cat_id and user.user_id = '.$user['id'].' and date_begin>= \''.$Year.'-'.$Month.'-01\' and date_begin <= \''.$Year.'-'.$Month.'-31\' order by date_begin ASC;';
	$result = pwg_query($PrivateCat);	
	return $result;
}

function RegroupeEvent($ListPrivateEvent,$ListPublicEvent)
{
	$resultat = array(); 
	$i = 0;
	
	//Sauvegarde de event prive
	while ($ligne = pwg_db_fetch_assoc($ListPrivateEvent))
	{
		$resultat[$i]['Catid'] =		$ligne['Catid'];
		$resultat[$i]['name'] =			$ligne['name'];
		$resultat[$i]['date_begin'] = 	$ligne['date_begin'];
		$resultat[$i]['date_end'] = 	$ligne['date_end'];
		$i++;
	}
	
	while ($ligne = pwg_db_fetch_assoc($ListPublicEvent))
	{
		$resultat[$i]['Catid'] = 		$ligne['Catid'];
		$resultat[$i]['name'] =			$ligne['name'];
		$resultat[$i]['date_begin'] =	$ligne['date_begin'];
		$resultat[$i]['date_end'] = 	$ligne['date_end'];
		$i++;
	}
	
	return $resultat;
}

function checkEvent($listevent,$afficheJour)
{	
	$string= '';
	
	foreach($listevent as $event)
	{
		if(strtotime($event['date_begin']) <= $afficheJour && strtotime($event['date_end']) >= $afficheJour )
		{
			$EventName = $event['name'];
			//echo '<a href="'.PHPWG_ROOT_PATH.'/index.php?/category/'.$event['Catid'].'"> catlogue'.$event['Catid'].' </a><Br>';
			if(strlen($event['name'])>8)
			{
				$EventName = substr($event['name'],0,5);
				$EventName = $EventName ."...";
			}

			$string  .= '<FONT size="0.5pt"> <a href="'.PHPWG_ROOT_PATH.'/index.php?/category/'.$event['Catid'].'">'.$event['name'].' </a></FONT><Br>';
			//$string = $string . $event[Catid].'\n';
		}
	}
	return $string;
}

	// Fonction pour afficher le calendrier
	function showCalendar($periode) {
		$leCalendrier = "<table>";
		
		
		global $user;
		
		
		//Recupération des événements correspondants (prive et public)
		$ListPrivateEvent = GetPrivateEventCalendar($periode) ;
		$ListPublicEvent  = GetPublicEventCalendar($periode) ;

		//Regroupe les evenements en une liste
		$ListeEvent=RegroupeEvent($ListPrivateEvent,$ListPublicEvent);
		
		

		
		// Tableau des valeurs possibles pour un numéro de jour dans la semaine
		$tableau = Array("0", "1", "2", "3", "4", "5", "6", "0");
		$nb_jour = Date("t", mktime(0, 0, 0, getMonth($periode), 1, getYear($periode)));
		$pas = 0;
		$indexe = 1;

		// Affichage du mois et de l'année
 		$leCalendrier .= "<tr id=\"Today\">";
		$leCalendrier .= "<td  VALIGN=TOP colspan=\"7\">&raquo; " . monthNumToName(getMonth($periode)) . " " . getYear($periode) . "</td>";
		$leCalendrier .= "</tr>\n";
		// Affichage des entêtes
		$leCalendrier .= "
		<tr id=\"libelle\">
			<td>L</td>
			<td>M</td>
			<td>M</td>
			<td>J</td>
			<td>V</td>
			<td>S</td>
			<td>D</td>
		</tr>";

		

		// Tant que l'on n'a pas affecté tous les jours du mois traité
		while ($pas < $nb_jour) {
			if ($indexe == 1) $leCalendrier .= "\n\t<tr class=\"ligne\">";
			// Si le jour calendrier == jour de la semaine en cours
			if (Date("w", mktime(0, 0, 0, getMonth($periode), 1 + $pas, getYear($periode))) == $tableau[$indexe])
			{
				$Events = '';
				// Si jour calendrier == aujourd'hui
				//$afficheJour = Date("j", mktime(0, 0, 0, getMonth($periode), 1 + $pas, getYear($periode)));
				//if (Date("Y-m-d", mktime(0, 0, 0, getMonth($periode), 1 + $pas, getYear($periode))) == Date("Y-m-d"))
				//{
					$class = " class=\"itemCurrentItem\"";
				//}
				//else
				//{
					
				$Jour= mktime(0, 0, 0, getMonth($periode), 1 + $pas, getYear($periode));
				$Events = checkEvent($ListeEvent,$Jour);
				//$class = " class=\"itemExistingItem\"";
			

				//}
				// Ajout de la case avec la date
				$afficheJour = Date("j", mktime(0, 0, 0, getMonth($periode), 1 + $pas, getYear($periode)));
				
				if ($Events != '')
				{
					$afficheJour =$afficheJour . '<BR>'.$Events;
				}
				
				$leCalendrier .= "\n\t\t<td  VALIGN=TOP>".$afficheJour."</td>";
				$pas++;
			}
			else
			{
				// Ajout d'une case vide
				$leCalendrier .= "\n\t\t<td>&nbsp;</td>";
			}
			if ($indexe == 7 && $pas < $nb_jour) { $leCalendrier .= "\n\t</tr>"; $indexe = 1;} else {$indexe++;}
		}
		// Ajustement du tableau
		for ($i = $indexe; $i <= 7; $i++) {
			$leCalendrier .= "\n\t\t<td>&nbsp;</tr>";
		}
		$leCalendrier .= "\n\t</td>\n";
 
		// Retour de la chaine contenant le Calendrier
		$leCalendrier .= "</table>";

		return $leCalendrier;
	}

?>
